> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Search conversations



## OpenAPI

````yaml api-reference/openapi.v1.json GET /tasks/search
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /tasks/search:
    get:
      tags:
        - tasks
      summary: Search conversations
      operationId: searchTasks
      parameters:
        - explode: false
          in: query
          name: q
          required: true
          schema:
            maxLength: 256
            minLength: 1
            type: string
        - explode: false
          in: query
          name: project_id
          schema:
            format: uuid
            type: string
        - explode: false
          in: query
          name: limit
          schema:
            default: 20
            format: int64
            maximum: 50
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  results:
                    items:
                      $ref: '#/components/schemas/TaskSearchResult'
                    type: array
                required:
                  - results
                type: object
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
          description: Forbidden
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
components:
  schemas:
    TaskSearchResult:
      additionalProperties: false
      properties:
        conversation_turn_id:
          minLength: 1
          type: string
        message_id:
          minLength: 1
          type: string
        score:
          format: double
          type: number
        snippet:
          items:
            $ref: '#/components/schemas/SnippetSegment'
          type: array
        task:
          discriminator:
            mapping:
              awaiting_input:
                $ref: '#/components/schemas/TaskAwaitingInput'
              errored:
                $ref: '#/components/schemas/TaskErrored'
              processing:
                $ref: '#/components/schemas/TaskProcessing'
              queued:
                $ref: '#/components/schemas/TaskQueued'
            propertyName: status
          oneOf:
            - $ref: '#/components/schemas/TaskQueued'
            - $ref: '#/components/schemas/TaskProcessing'
            - $ref: '#/components/schemas/TaskAwaitingInput'
            - $ref: '#/components/schemas/TaskErrored'
      required:
        - task
        - message_id
        - conversation_turn_id
        - snippet
        - score
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    SnippetSegment:
      additionalProperties: false
      properties:
        highlighted:
          type: boolean
        text:
          type: string
      required:
        - text
        - highlighted
      type: object
    TaskAwaitingInput:
      additionalProperties: false
      properties:
        agent_type:
          enum:
            - codex
            - claude-code
            - opencode
            - cursor
          type: string
        archived_at:
          minLength: 1
          type:
            - string
            - 'null'
        auto_fix_ci:
          type: boolean
        auto_fix_pr_comments:
          type: boolean
        auto_rebase:
          type: boolean
        awaiting_input:
          $ref: '#/components/schemas/TaskAwaitingInputPayload'
        base_branch:
          minLength: 1
          pattern: \S
          type: string
        campaign:
          anyOf:
            - $ref: '#/components/schemas/TaskCampaignSummary'
            - type: 'null'
        created_at:
          minLength: 1
          type: string
        creator_reauth_required:
          type: boolean
        display_status:
          enum:
            - running
            - awaiting_input
            - approved
            - awaiting_ci
            - merged
            - unmerged
            - errored
            - archived
          type: string
        feed_updated_at:
          minLength: 1
          type: string
        github_status:
          enum:
            - approved
            - merged
            - unmerged
            - awaiting_ci
          type:
            - string
            - 'null'
        hardware:
          $ref: '#/components/schemas/HardwareConfig'
        head_branch:
          minLength: 1
          type: string
        id:
          minLength: 1
          type: string
        interaction_mode:
          enum:
            - default
            - plan
          type: string
        last_error:
          type:
            - string
            - 'null'
        latest_message_revision:
          description: >-
            Maximum revision_sequence of currently stored task messages,
            including soft-deleted rows; zero means no messages. Compare
            equality only: hard deletion can decrease it. Not an activity/stream
            cursor or a task-wide version.
          format: int64
          maximum: 9007199254740991
          minimum: 0
          type: integer
        latest_status_message:
          type:
            - string
            - 'null'
        latest_status_source:
          type:
            - string
            - 'null'
        model:
          minLength: 1
          type: string
        name:
          minLength: 1
          type: string
        parent_task_id:
          format: uuid
          type:
            - string
            - 'null'
        pinned_at:
          minLength: 1
          type:
            - string
            - 'null'
        plan_progress:
          $ref: '#/components/schemas/TaskPlanProgress'
        post_pr_demo_video:
          type: boolean
        post_pr_screenshots:
          type: boolean
        pr_review_mode:
          enum:
            - review_only
            - apply_fixes
          type:
            - string
            - 'null'
        pr_review_summary:
          anyOf:
            - $ref: '#/components/schemas/TaskPRReviewSummary'
            - type: 'null'
        primary_pull_request:
          anyOf:
            - $ref: '#/components/schemas/TaskPullRequest'
            - type: 'null'
        project:
          $ref: '#/components/schemas/TaskProjectContext'
        project_id:
          minLength: 1
          type: string
        pull_requests:
          items:
            $ref: '#/components/schemas/TaskPullRequest'
          type: array
        reasoning_effort:
          enum:
            - ultra
            - max
            - xhigh
            - high
            - medium
            - low
            - ultrathink
            - ultracode
            - none
          type:
            - string
            - 'null'
        review_subject_pull_request:
          anyOf:
            - $ref: '#/components/schemas/TaskReviewSubjectPullRequest'
            - type: 'null'
        run_context:
          anyOf:
            - $ref: '#/components/schemas/TaskRunContext'
            - type: 'null'
        runtime_timing:
          $ref: '#/components/schemas/TaskRuntimeTiming'
        slash_commands:
          items:
            $ref: '#/components/schemas/TaskSlashCommand'
          type:
            - array
            - 'null'
        source:
          $ref: '#/components/schemas/TaskSource'
        source_metadata:
          additionalProperties: true
          properties: {}
          type:
            - object
            - 'null'
        status:
          enum:
            - awaiting_input
          type: string
        usage:
          $ref: '#/components/schemas/TaskUsage'
        user_id:
          minLength: 1
          type:
            - string
            - 'null'
      required:
        - id
        - project_id
        - project
        - parent_task_id
        - user_id
        - name
        - agent_type
        - model
        - interaction_mode
        - auto_fix_ci
        - auto_fix_pr_comments
        - auto_rebase
        - post_pr_screenshots
        - post_pr_demo_video
        - status
        - display_status
        - github_status
        - pull_requests
        - primary_pull_request
        - review_subject_pull_request
        - pr_review_summary
        - campaign
        - creator_reauth_required
        - usage
        - runtime_timing
        - hardware
        - source
        - created_at
        - feed_updated_at
        - base_branch
        - latest_message_revision
        - run_context
        - awaiting_input
      type: object
    TaskErrored:
      additionalProperties: false
      properties:
        agent_type:
          enum:
            - codex
            - claude-code
            - opencode
            - cursor
          type: string
        archived_at:
          minLength: 1
          type:
            - string
            - 'null'
        auto_fix_ci:
          type: boolean
        auto_fix_pr_comments:
          type: boolean
        auto_rebase:
          type: boolean
        base_branch:
          minLength: 1
          pattern: \S
          type: string
        campaign:
          anyOf:
            - $ref: '#/components/schemas/TaskCampaignSummary'
            - type: 'null'
        completed_at:
          minLength: 1
          type: string
        created_at:
          minLength: 1
          type: string
        creator_reauth_required:
          type: boolean
        display_status:
          enum:
            - running
            - awaiting_input
            - approved
            - awaiting_ci
            - merged
            - unmerged
            - errored
            - archived
          type: string
        error:
          minLength: 1
          type: string
        feed_updated_at:
          minLength: 1
          type: string
        github_status:
          enum:
            - approved
            - merged
            - unmerged
            - awaiting_ci
          type:
            - string
            - 'null'
        hardware:
          $ref: '#/components/schemas/HardwareConfig'
        head_branch:
          minLength: 1
          type: string
        id:
          minLength: 1
          type: string
        interaction_mode:
          enum:
            - default
            - plan
          type: string
        last_error:
          type:
            - string
            - 'null'
        latest_message_revision:
          description: >-
            Maximum revision_sequence of currently stored task messages,
            including soft-deleted rows; zero means no messages. Compare
            equality only: hard deletion can decrease it. Not an activity/stream
            cursor or a task-wide version.
          format: int64
          maximum: 9007199254740991
          minimum: 0
          type: integer
        latest_status_message:
          type:
            - string
            - 'null'
        latest_status_source:
          type:
            - string
            - 'null'
        model:
          minLength: 1
          type: string
        name:
          minLength: 1
          type: string
        parent_task_id:
          format: uuid
          type:
            - string
            - 'null'
        pinned_at:
          minLength: 1
          type:
            - string
            - 'null'
        plan_progress:
          $ref: '#/components/schemas/TaskPlanProgress'
        post_pr_demo_video:
          type: boolean
        post_pr_screenshots:
          type: boolean
        pr_review_mode:
          enum:
            - review_only
            - apply_fixes
          type:
            - string
            - 'null'
        pr_review_summary:
          anyOf:
            - $ref: '#/components/schemas/TaskPRReviewSummary'
            - type: 'null'
        primary_pull_request:
          anyOf:
            - $ref: '#/components/schemas/TaskPullRequest'
            - type: 'null'
        project:
          $ref: '#/components/schemas/TaskProjectContext'
        project_id:
          minLength: 1
          type: string
        pull_requests:
          items:
            $ref: '#/components/schemas/TaskPullRequest'
          type: array
        reasoning_effort:
          enum:
            - ultra
            - max
            - xhigh
            - high
            - medium
            - low
            - ultrathink
            - ultracode
            - none
          type:
            - string
            - 'null'
        review_subject_pull_request:
          anyOf:
            - $ref: '#/components/schemas/TaskReviewSubjectPullRequest'
            - type: 'null'
        run_context:
          anyOf:
            - $ref: '#/components/schemas/TaskRunContext'
            - type: 'null'
        runtime_timing:
          $ref: '#/components/schemas/TaskRuntimeTiming'
        slash_commands:
          items:
            $ref: '#/components/schemas/TaskSlashCommand'
          type:
            - array
            - 'null'
        source:
          $ref: '#/components/schemas/TaskSource'
        source_metadata:
          additionalProperties: true
          properties: {}
          type:
            - object
            - 'null'
        status:
          enum:
            - errored
          type: string
        usage:
          $ref: '#/components/schemas/TaskUsage'
        user_id:
          minLength: 1
          type:
            - string
            - 'null'
      required:
        - id
        - project_id
        - project
        - parent_task_id
        - user_id
        - name
        - agent_type
        - model
        - interaction_mode
        - auto_fix_ci
        - auto_fix_pr_comments
        - auto_rebase
        - post_pr_screenshots
        - post_pr_demo_video
        - status
        - display_status
        - github_status
        - pull_requests
        - primary_pull_request
        - review_subject_pull_request
        - pr_review_summary
        - campaign
        - creator_reauth_required
        - usage
        - runtime_timing
        - hardware
        - source
        - created_at
        - feed_updated_at
        - base_branch
        - latest_message_revision
        - run_context
        - error
        - completed_at
      type: object
    TaskProcessing:
      additionalProperties: false
      properties:
        agent_type:
          enum:
            - codex
            - claude-code
            - opencode
            - cursor
          type: string
        archived_at:
          minLength: 1
          type:
            - string
            - 'null'
        auto_fix_ci:
          type: boolean
        auto_fix_pr_comments:
          type: boolean
        auto_rebase:
          type: boolean
        base_branch:
          minLength: 1
          pattern: \S
          type: string
        campaign:
          anyOf:
            - $ref: '#/components/schemas/TaskCampaignSummary'
            - type: 'null'
        created_at:
          minLength: 1
          type: string
        creator_reauth_required:
          type: boolean
        display_status:
          enum:
            - running
            - awaiting_input
            - approved
            - awaiting_ci
            - merged
            - unmerged
            - errored
            - archived
          type: string
        feed_updated_at:
          minLength: 1
          type: string
        github_status:
          enum:
            - approved
            - merged
            - unmerged
            - awaiting_ci
          type:
            - string
            - 'null'
        hardware:
          $ref: '#/components/schemas/HardwareConfig'
        head_branch:
          minLength: 1
          type: string
        id:
          minLength: 1
          type: string
        interaction_mode:
          enum:
            - default
            - plan
          type: string
        last_error:
          type:
            - string
            - 'null'
        latest_message_revision:
          description: >-
            Maximum revision_sequence of currently stored task messages,
            including soft-deleted rows; zero means no messages. Compare
            equality only: hard deletion can decrease it. Not an activity/stream
            cursor or a task-wide version.
          format: int64
          maximum: 9007199254740991
          minimum: 0
          type: integer
        latest_status_message:
          type:
            - string
            - 'null'
        latest_status_source:
          type:
            - string
            - 'null'
        model:
          minLength: 1
          type: string
        name:
          minLength: 1
          type: string
        parent_task_id:
          format: uuid
          type:
            - string
            - 'null'
        pinned_at:
          minLength: 1
          type:
            - string
            - 'null'
        plan_progress:
          $ref: '#/components/schemas/TaskPlanProgress'
        post_pr_demo_video:
          type: boolean
        post_pr_screenshots:
          type: boolean
        pr_review_mode:
          enum:
            - review_only
            - apply_fixes
          type:
            - string
            - 'null'
        pr_review_summary:
          anyOf:
            - $ref: '#/components/schemas/TaskPRReviewSummary'
            - type: 'null'
        primary_pull_request:
          anyOf:
            - $ref: '#/components/schemas/TaskPullRequest'
            - type: 'null'
        project:
          $ref: '#/components/schemas/TaskProjectContext'
        project_id:
          minLength: 1
          type: string
        pull_requests:
          items:
            $ref: '#/components/schemas/TaskPullRequest'
          type: array
        reasoning_effort:
          enum:
            - ultra
            - max
            - xhigh
            - high
            - medium
            - low
            - ultrathink
            - ultracode
            - none
          type:
            - string
            - 'null'
        review_subject_pull_request:
          anyOf:
            - $ref: '#/components/schemas/TaskReviewSubjectPullRequest'
            - type: 'null'
        run_context:
          $ref: '#/components/schemas/TaskRunContext'
        runtime_timing:
          $ref: '#/components/schemas/TaskRuntimeTiming'
        slash_commands:
          items:
            $ref: '#/components/schemas/TaskSlashCommand'
          type:
            - array
            - 'null'
        source:
          $ref: '#/components/schemas/TaskSource'
        source_metadata:
          additionalProperties: true
          properties: {}
          type:
            - object
            - 'null'
        status:
          enum:
            - processing
          type: string
        usage:
          $ref: '#/components/schemas/TaskUsage'
        user_id:
          minLength: 1
          type:
            - string
            - 'null'
      required:
        - id
        - project_id
        - project
        - parent_task_id
        - user_id
        - name
        - agent_type
        - model
        - interaction_mode
        - auto_fix_ci
        - auto_fix_pr_comments
        - auto_rebase
        - post_pr_screenshots
        - post_pr_demo_video
        - status
        - display_status
        - github_status
        - pull_requests
        - primary_pull_request
        - review_subject_pull_request
        - pr_review_summary
        - campaign
        - creator_reauth_required
        - usage
        - runtime_timing
        - hardware
        - source
        - created_at
        - feed_updated_at
        - base_branch
        - latest_message_revision
        - run_context
      type: object
    TaskQueued:
      additionalProperties: false
      properties:
        agent_type:
          enum:
            - codex
            - claude-code
            - opencode
            - cursor
          type: string
        archived_at:
          minLength: 1
          type:
            - string
            - 'null'
        auto_fix_ci:
          type: boolean
        auto_fix_pr_comments:
          type: boolean
        auto_rebase:
          type: boolean
        base_branch:
          minLength: 1
          pattern: \S
          type: string
        campaign:
          anyOf:
            - $ref: '#/components/schemas/TaskCampaignSummary'
            - type: 'null'
        created_at:
          minLength: 1
          type: string
        creator_reauth_required:
          type: boolean
        display_status:
          enum:
            - running
            - awaiting_input
            - approved
            - awaiting_ci
            - merged
            - unmerged
            - errored
            - archived
          type: string
        feed_updated_at:
          minLength: 1
          type: string
        github_status:
          enum:
            - approved
            - merged
            - unmerged
            - awaiting_ci
          type:
            - string
            - 'null'
        hardware:
          $ref: '#/components/schemas/HardwareConfig'
        head_branch:
          minLength: 1
          type: string
        id:
          minLength: 1
          type: string
        interaction_mode:
          enum:
            - default
            - plan
          type: string
        last_error:
          type:
            - string
            - 'null'
        latest_message_revision:
          description: >-
            Maximum revision_sequence of currently stored task messages,
            including soft-deleted rows; zero means no messages. Compare
            equality only: hard deletion can decrease it. Not an activity/stream
            cursor or a task-wide version.
          format: int64
          maximum: 9007199254740991
          minimum: 0
          type: integer
        latest_status_message:
          type:
            - string
            - 'null'
        latest_status_source:
          type:
            - string
            - 'null'
        model:
          minLength: 1
          type: string
        name:
          minLength: 1
          type: string
        parent_task_id:
          format: uuid
          type:
            - string
            - 'null'
        pinned_at:
          minLength: 1
          type:
            - string
            - 'null'
        plan_progress:
          $ref: '#/components/schemas/TaskPlanProgress'
        post_pr_demo_video:
          type: boolean
        post_pr_screenshots:
          type: boolean
        pr_review_mode:
          enum:
            - review_only
            - apply_fixes
          type:
            - string
            - 'null'
        pr_review_summary:
          anyOf:
            - $ref: '#/components/schemas/TaskPRReviewSummary'
            - type: 'null'
        primary_pull_request:
          anyOf:
            - $ref: '#/components/schemas/TaskPullRequest'
            - type: 'null'
        project:
          $ref: '#/components/schemas/TaskProjectContext'
        project_id:
          minLength: 1
          type: string
        pull_requests:
          items:
            $ref: '#/components/schemas/TaskPullRequest'
          type: array
        reasoning_effort:
          enum:
            - ultra
            - max
            - xhigh
            - high
            - medium
            - low
            - ultrathink
            - ultracode
            - none
          type:
            - string
            - 'null'
        review_subject_pull_request:
          anyOf:
            - $ref: '#/components/schemas/TaskReviewSubjectPullRequest'
            - type: 'null'
        run_context:
          anyOf:
            - $ref: '#/components/schemas/TaskRunContext'
            - type: 'null'
        runtime_timing:
          $ref: '#/components/schemas/TaskRuntimeTiming'
        slash_commands:
          items:
            $ref: '#/components/schemas/TaskSlashCommand'
          type:
            - array
            - 'null'
        source:
          $ref: '#/components/schemas/TaskSource'
        source_metadata:
          additionalProperties: true
          properties: {}
          type:
            - object
            - 'null'
        status:
          enum:
            - queued
          type: string
        usage:
          $ref: '#/components/schemas/TaskUsage'
        user_id:
          minLength: 1
          type:
            - string
            - 'null'
      required:
        - id
        - project_id
        - project
        - parent_task_id
        - user_id
        - name
        - agent_type
        - model
        - interaction_mode
        - auto_fix_ci
        - auto_fix_pr_comments
        - auto_rebase
        - post_pr_screenshots
        - post_pr_demo_video
        - status
        - display_status
        - github_status
        - pull_requests
        - primary_pull_request
        - review_subject_pull_request
        - pr_review_summary
        - campaign
        - creator_reauth_required
        - usage
        - runtime_timing
        - hardware
        - source
        - created_at
        - feed_updated_at
        - base_branch
        - latest_message_revision
        - run_context
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    TaskAwaitingInputPayload:
      discriminator:
        mapping:
          message:
            $ref: '#/components/schemas/TaskAwaitingInputMessage'
          plan:
            $ref: '#/components/schemas/TaskAwaitingInputPlan'
          questions:
            $ref: '#/components/schemas/TaskAwaitingInputQuestions'
        propertyName: kind
      oneOf:
        - $ref: '#/components/schemas/TaskAwaitingInputMessage'
        - $ref: '#/components/schemas/TaskAwaitingInputQuestions'
        - $ref: '#/components/schemas/TaskAwaitingInputPlan'
    TaskCampaignSummary:
      additionalProperties: false
      properties:
        active_descendants:
          format: int64
          minimum: 0
          type: integer
        attention:
          enum:
            - error
            - waiting
          type:
            - string
            - 'null'
        descendants_merged:
          format: int64
          minimum: 0
          type: integer
        descendants_total:
          format: int64
          minimum: 1
          type: integer
      required:
        - descendants_total
        - descendants_merged
        - active_descendants
        - attention
      type: object
    HardwareConfig:
      additionalProperties: false
      properties:
        cpu_kind:
          enum:
            - shared
            - performance
          type: string
        cpus:
          format: int64
          maximum: 16
          minimum: 1
          type: integer
        gpu_kind:
          enum:
            - a10
            - l40s
            - a100-40gb
            - a100-80gb
          type:
            - string
            - 'null'
        memory_mb:
          format: int64
          maximum: 32768
          minimum: 256
          type: integer
        volume_size_gb:
          format: int64
          maximum: 500
          minimum: 1
          type: integer
      required:
        - cpu_kind
        - cpus
        - memory_mb
        - volume_size_gb
        - gpu_kind
      type: object
    TaskPlanProgress:
      additionalProperties: false
      properties:
        completed:
          format: int64
          minimum: 0
          type: integer
        current_step:
          minLength: 1
          pattern: \S
          type: string
        total:
          format: int64
          minimum: 1
          type: integer
      required:
        - completed
        - total
      type: object
    TaskPRReviewSummary:
      additionalProperties: false
      properties:
        comment_count:
          format: int64
          minimum: 0
          type:
            - integer
            - 'null'
        pull_request_id:
          format: uuid
          type: string
        review_task_id:
          format: uuid
          type: string
        run_count:
          format: int64
          minimum: 1
          type: integer
        run_status:
          $ref: '#/components/schemas/ReviewRunStatus'
        severity_counts:
          $ref: '#/components/schemas/PRReviewSeverityCounts'
        summary_severity:
          $ref: '#/components/schemas/PRReviewSummarySeverity'
        verdict:
          $ref: '#/components/schemas/PRReviewSummaryVerdict'
      required:
        - review_task_id
        - pull_request_id
        - run_status
        - comment_count
        - run_count
      type: object
    TaskPullRequest:
      additionalProperties: false
      properties:
        additions:
          format: int64
          minimum: 0
          type: integer
        branch_name:
          minLength: 1
          type: string
        checks_failed:
          format: int64
          minimum: 0
          type: integer
        checks_passed:
          format: int64
          minimum: 0
          type: integer
        checks_total:
          format: int64
          minimum: 0
          type: integer
        ci_status:
          enum:
            - pending
            - passed
            - failed
          type: string
        commits:
          format: int64
          minimum: 0
          type: integer
        deletions:
          format: int64
          minimum: 0
          type: integer
        html_url:
          minLength: 1
          type: string
        lines_changed:
          format: int64
          minimum: 0
          type: integer
        merged_at:
          minLength: 1
          type: string
        pr_number:
          format: int64
          minimum: 1
          type: integer
        pull_request_id:
          format: uuid
          type: string
        state:
          enum:
            - open
            - closed
            - merged
          type: string
        title:
          type: string
      required:
        - pull_request_id
        - pr_number
        - html_url
        - title
        - checks_passed
        - checks_failed
        - checks_total
        - commits
        - lines_changed
        - additions
        - deletions
      type: object
    TaskProjectContext:
      discriminator:
        mapping:
          active:
            $ref: '#/components/schemas/TaskActiveProject'
          archived:
            $ref: '#/components/schemas/TaskArchivedProject'
        propertyName: state
      oneOf:
        - $ref: '#/components/schemas/TaskActiveProject'
        - $ref: '#/components/schemas/TaskArchivedProject'
    TaskReviewSubjectPullRequest:
      additionalProperties: false
      properties:
        additions:
          format: int64
          minimum: 0
          type: integer
        branch_name:
          minLength: 1
          type: string
        checks_failed:
          format: int64
          minimum: 0
          type: integer
        checks_passed:
          format: int64
          minimum: 0
          type: integer
        checks_total:
          format: int64
          minimum: 0
          type: integer
        ci_status:
          enum:
            - pending
            - passed
            - failed
          type: string
        commits:
          format: int64
          minimum: 0
          type: integer
        deletions:
          format: int64
          minimum: 0
          type: integer
        html_url:
          minLength: 1
          type: string
        lines_changed:
          format: int64
          minimum: 0
          type: integer
        merged_at:
          minLength: 1
          type: string
        origin_task_id:
          format: uuid
          type: string
        pr_number:
          format: int64
          minimum: 1
          type: integer
        pull_request_id:
          format: uuid
          type: string
        review_check_conclusion:
          enum:
            - success
            - failure
            - cancelled
            - neutral
          type: string
        review_trigger:
          enum:
            - automatic
            - comment_command
            - manual
          type: string
        state:
          enum:
            - open
            - closed
            - merged
          type: string
        title:
          type: string
      required:
        - pull_request_id
        - pr_number
        - html_url
        - title
        - checks_passed
        - checks_failed
        - checks_total
        - commits
        - lines_changed
        - additions
        - deletions
        - review_trigger
      type: object
    TaskRunContext:
      additionalProperties: false
      properties:
        started_at:
          minLength: 1
          type: string
        workspace_id:
          minLength: 1
          type: string
      required:
        - workspace_id
        - started_at
      type: object
    TaskRuntimeTiming:
      discriminator:
        mapping:
          active:
            $ref: '#/components/schemas/TaskRuntimeTimingActive'
          inactive:
            $ref: '#/components/schemas/TaskRuntimeTimingInactive'
        propertyName: state
      oneOf:
        - $ref: '#/components/schemas/TaskRuntimeTimingInactive'
        - $ref: '#/components/schemas/TaskRuntimeTimingActive'
    TaskSlashCommand:
      additionalProperties: true
      properties:
        description:
          type: string
        input:
          additionalProperties: true
          properties:
            hint:
              type: string
          required:
            - hint
          type: object
        name:
          type: string
      required:
        - name
        - description
      type: object
    TaskSource:
      enum:
        - manual
        - web
        - mobile
        - cli
        - ci
        - sentry
        - linear
        - slack
        - automation
        - pr_review
        - teleport
        - agent
      type: string
    TaskUsage:
      additionalProperties: false
      properties:
        tokens_in:
          format: int64
          maximum: 9007199254740991
          minimum: 0
          type: integer
        tokens_out:
          format: int64
          maximum: 9007199254740991
          minimum: 0
          type: integer
        vm_uptime_seconds:
          format: int64
          minimum: 0
          type: integer
      required:
        - tokens_in
        - tokens_out
        - vm_uptime_seconds
      type: object
    TaskAwaitingInputMessage:
      additionalProperties: false
      properties:
        kind:
          enum:
            - message
          type: string
      required:
        - kind
      type: object
    TaskAwaitingInputPlan:
      additionalProperties: false
      properties:
        input:
          $ref: '#/components/schemas/ProposePlanToolInput'
        kind:
          enum:
            - plan
          type: string
        tool_id:
          minLength: 1
          type: string
      required:
        - kind
        - tool_id
        - input
      type: object
    TaskAwaitingInputQuestions:
      additionalProperties: false
      properties:
        input:
          $ref: '#/components/schemas/AskUserToolInput'
        kind:
          enum:
            - questions
          type: string
        tool_id:
          minLength: 1
          type: string
      required:
        - kind
        - tool_id
        - input
      type: object
    ReviewRunStatus:
      enum:
        - reviewing
        - awaiting_input
        - completed
        - failed
        - cancelled
        - superseded
        - archived
      type: string
    PRReviewSeverityCounts:
      additionalProperties: false
      properties:
        confirmed:
          format: int64
          minimum: 0
          type: integer
        nit:
          format: int64
          minimum: 0
          type: integer
        p1:
          format: int64
          minimum: 0
          type: integer
        p2:
          format: int64
          minimum: 0
          type: integer
        question:
          format: int64
          minimum: 0
          type: integer
      required:
        - p1
        - p2
        - nit
        - question
        - confirmed
      type: object
    PRReviewSummarySeverity:
      enum:
        - p1
        - p2
        - nit
      type: string
    PRReviewSummaryVerdict:
      enum:
        - APPROVE
        - REQUEST_CHANGES
        - COMMENT
        - DISMISSED
        - SUPERSEDED
      type: string
    TaskActiveProject:
      additionalProperties: false
      properties:
        installation_id:
          format: int64
          maximum: 9007199254740991
          minimum: 1
          type:
            - integer
            - 'null'
        name:
          minLength: 1
          pattern: \S
          type: string
        repo_url:
          minLength: 1
          pattern: \S
          type:
            - string
            - 'null'
        state:
          enum:
            - active
          type: string
      required:
        - state
        - name
        - repo_url
        - installation_id
      type: object
    TaskArchivedProject:
      additionalProperties: false
      properties:
        state:
          enum:
            - archived
          type: string
      required:
        - state
      type: object
    TaskRuntimeTimingActive:
      additionalProperties: false
      properties:
        active_started_at:
          minLength: 1
          type: string
        state:
          enum:
            - active
          type: string
      required:
        - state
        - active_started_at
      type: object
    TaskRuntimeTimingInactive:
      additionalProperties: false
      properties:
        state:
          enum:
            - inactive
          type: string
      required:
        - state
      type: object
    ProposePlanToolInput:
      additionalProperties: true
      properties:
        plan:
          type: string
        summary:
          type: string
      required:
        - summary
        - plan
      type: object
    AskUserToolInput:
      additionalProperties: true
      properties:
        questions:
          items:
            $ref: '#/components/schemas/AskUserQuestion'
          minItems: 1
          type: array
      required:
        - questions
      type: object
    AskUserQuestion:
      additionalProperties: false
      properties:
        header:
          type: string
        id:
          type: string
        multiSelect:
          type:
            - boolean
            - 'null'
        options:
          items:
            $ref: '#/components/schemas/AskUserQuestionOption'
          type: array
        question:
          minLength: 1
          pattern: \S
          type: string
      required:
        - question
        - options
      type: object
    AskUserQuestionOption:
      additionalProperties: false
      properties:
        description:
          type: string
        label:
          minLength: 1
          pattern: \S
          type: string
        preview:
          type: string
      required:
        - label
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````